org.objenesis.instantiator.perc

## Class PercInstantiator<T>

- java.lang.Object
- - org.objenesis.instantiator.perc.PercInstantiator<T>

- All Implemented Interfaces:
    ObjectInstantiator<T>

      public class PercInstantiator<T>
      extends java.lang.Object
      implements ObjectInstantiator<T>

  Instantiates a class by making a call to internal Perc private methods. It is only supposed to work on Perc JVMs. This instantiator will not call any constructors. The code was provided by Aonix Perc support team.
  See Also:
    `ObjectInstantiator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PercInstantiator(java.lang.Class<T> type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `newInstance()` Returns a new instance of an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PercInstantiator

          public PercInstantiator(java.lang.Class<T> type)

  - ### Method Detail

    - #### newInstance

          public T newInstance()

      Description copied from interface: `ObjectInstantiator`
      Returns a new instance of an object. The returned object's class is defined by the implementation.
      Specified by:
        `newInstance` in interface `ObjectInstantiator<T>`
      Returns:
        A new instance of an object.